org.deidentifier.arx.aggregates.quality

## Class QualityDomainShareRaw

- java.lang.Object
- - org.deidentifier.arx.aggregates.quality.QualityDomainShareRaw

All Implemented Interfaces:
  QualityDomainShare

    public class QualityDomainShareRaw
    extends java.lang.Object
    implements QualityDomainShare

Raw domain-share (unencoded).

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`QualityDomainShareRaw(java.lang.String[][] hierarchy, java.lang.String suppressedValue)` Creates a new instance

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `getDomainSize()` Returns the domain size
`double` `getShare(java.lang.String value, int level)` Returns the domain share

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QualityDomainShareRaw

    public QualityDomainShareRaw(java.lang.String[][] hierarchy,
                                 java.lang.String suppressedValue)

Creates a new instance

Parameters:
  `hierarchies` -
  `suppressedValue` -

### Method Detail

#### getDomainSize

    public double getDomainSize()

Description copied from interface: `QualityDomainShare`
Returns the domain size

Specified by:
  `getDomainSize` in interface `QualityDomainShare`
Returns:

#### getShare

    public double getShare(java.lang.String value,
                           int level)

Description copied from interface: `QualityDomainShare`
Returns the domain share

Specified by:
  `getShare` in interface `QualityDomainShare`
Returns: